<div *ngIf="!isview">
    <h2>
        <span>Prioritas PP</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing"
            [routerLink]="['/purchasing-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Purchase Order
            </span>
        </button> -->
    </h2>
    <jhi-alert></jhi-alert>
    <div>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <!-- <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Tanggal</label>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                            </div> -->
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">PIC</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-dropdown [options]="pics" [(ngModel)]="selectedPIC" id="field_PIC" [style]="{'width':'100%'}">
                                </p-dropdown>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Admin</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-dropdown [options]="adms" [(ngModel)]="selectedADM" id="field_adm" [style]="{'width':'100%'}">
                                </p-dropdown>
                                </div>
                            </div>
                            <!-- <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                    (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                                    field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                                    [dropdown]="true" tabindex=1></p-autoComplete>
                                </div>
                            </div> -->
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari Nomor PP">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
            <br>
        </div>
    </div>
    <br />
    <p-dataTable [value]="mappingPriorityPPVMs" [editable]="true" [rows]="itemsPerPage" [paginator]="true"
        [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idmapprior" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
        <p-header>
        </p-header>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor PP">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nopurchaseorder}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Siap PO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreate | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Kode Produk">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.codeproduk}}
            </ng-template>
        </p-column>
        <p-column header="Nama Produk">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.produkname}}
            </ng-template>
        </p-column>
        <p-column header="Admin PO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.admpp}}
            </ng-template>
        </p-column>
        <p-column header="PIC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.pic}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Urut Prioritas">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noprior}}
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<p-confirmDialog></p-confirmDialog>